Package io.vertx.ext.eventbus.bridge.tcp

## Interface TcpEventBusBridge

-     public interface TcpEventBusBridge

  TCP EventBus bridge for Vert.x
  Author:
    Paulo Lopes

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Future<Void>` | `close()` | Close the current socket.
    `static TcpEventBusBridge` | `create​(Vertx vertx)` |
    `static TcpEventBusBridge` | `create​(Vertx vertx, BridgeOptions options)` |
    `static TcpEventBusBridge` | `create​(Vertx vertx, BridgeOptions options, NetServerOptions netServerOptions)` |
    `static TcpEventBusBridge` | `create​(Vertx vertx, BridgeOptions options, NetServerOptions netServerOptions, Handler<BridgeEvent> eventHandler)` |
    `Future<TcpEventBusBridge>` | `listen()` | Listen on default port 7000
    `Future<TcpEventBusBridge>` | `listen​(int port)` | Listen on specific port
    `Future<TcpEventBusBridge>` | `listen​(int port, String address)` | Listen on specific port and bind to specific address

- - ### Method Detail

    - #### create

          static TcpEventBusBridge create​(Vertx vertx)

    - #### create

          static TcpEventBusBridge create​(Vertx vertx,
                                          BridgeOptions options)

    - #### create

          static TcpEventBusBridge create​(Vertx vertx,
                                          BridgeOptions options,
                                          NetServerOptions netServerOptions)

    - #### create

          static TcpEventBusBridge create​(Vertx vertx,
                                          BridgeOptions options,
                                          NetServerOptions netServerOptions,
                                          Handler<BridgeEvent> eventHandler)

    - #### listen

          Future<TcpEventBusBridge> listen()

      Listen on default port 7000
      Returns:
        a future of the result

    - #### listen

          Future<TcpEventBusBridge> listen​(int port,
                                           String address)

      Listen on specific port and bind to specific address
      Parameters:
        `port` - tcp port
        `address` - tcp address to the bind
      Returns:
        a future of the result

    - #### listen

          Future<TcpEventBusBridge> listen​(int port)

      Listen on specific port
      Parameters:
        `port` - tcp port
      Returns:
        a future of the result

    - #### close

          Future<Void> close()

      Close the current socket.
      Returns:
        a future of the result